% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/evalbin.R
\name{plot.evalbin}
\alias{plot.evalbin}
\title{Plot method for the evalbin function}
\usage{
\method{plot}{evalbin}(x, plots = c("lift", "gains"), shiny = FALSE, ...)
}
\arguments{
\item{x}{Return value from \code{\link{evalbin}}}

\item{plots}{Plots to return}

\item{shiny}{Did the function call originate inside a shiny app}

\item{...}{further arguments passed to or from other methods}
}
\description{
Plot method for the evalbin function
}
\details{
See \url{http://radiant-rstats.github.io/docs/model/evalbin.html} for an example in Radiant
}
\examples{
evalbin("titanic", "age", "survived") \%>\% plot
evalbin("titanic", c("age","fare"), "survived") \%>\% plot
evalbin("titanic", c("age","fare"), "survived", method = "xtile") \%>\% plot
evalbin("titanic", c("age","fare"), "survived") \%>\% summary

}
\seealso{
\code{\link{evalbin}} to generate results

\code{\link{summary.evalbin}} to summarize results
}

